package cn.superdesk.uniorder.dao.mapper.operation;

import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssues;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/1/29 下午5:11
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/1/29 下午5:11
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedOrderIssuesMapper {

	long countByExample(UnifiedOrderIssuesExample example);

	int deleteByExample(UnifiedOrderIssuesExample example);

	int deleteByPrimaryKey(Long id);

	int insert(UnifiedOrderIssues record);

	int insertSelective(UnifiedOrderIssues record);

	List<UnifiedOrderIssues> selectByExampleWithBLOBs(UnifiedOrderIssuesExample example);

	List<UnifiedOrderIssues> selectByExample(UnifiedOrderIssuesExample example);

	UnifiedOrderIssues selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") UnifiedOrderIssues record, @Param("example") UnifiedOrderIssuesExample example);

	int updateByExampleWithBLOBs(@Param("record") UnifiedOrderIssues record, @Param("example") UnifiedOrderIssuesExample example);

	int updateByExample(@Param("record") UnifiedOrderIssues record, @Param("example") UnifiedOrderIssuesExample example);

	int updateByPrimaryKeySelective(UnifiedOrderIssues record);

	int updateByPrimaryKeyWithBLOBs(UnifiedOrderIssues record);

	int updateByPrimaryKey(UnifiedOrderIssues record);
}